# Class PokemonSummonData

- Defined in src/field/pokemon.ts:3728

#####
Index

### Constructors

constructor

### Properties

ability
abilitySuppressed
battleStats
disabledMove
disabledTurns
fusionGender
fusionSpeciesForm
gender
moveQueue
moveset
speciesForm
stats
tags
types

## Constructors

### constructor

- new PokemonSummonData(): PokemonSummonData

- #### Returns PokemonSummonData

## Properties

### ability

ability: Abilities = Abilities.NONE

- Defined in src/field/pokemon.ts:3738

### abilitySuppressed

abilitySuppressed: boolean = false

- Defined in src/field/pokemon.ts:3734

### battleStats

battleStats: number[] = ...

- Defined in src/field/pokemon.ts:3729

### disabledMove

disabledMove: Moves = Moves.NONE

- Defined in src/field/pokemon.ts:3731

### disabledTurns

disabledTurns: number = 0

- Defined in src/field/pokemon.ts:3732

### fusionGender

fusionGender: Gender

- Defined in src/field/pokemon.ts:3740

### fusionSpeciesForm

fusionSpeciesForm: PokemonSpeciesForm

- Defined in src/field/pokemon.ts:3737

### gender

gender: Gender

- Defined in src/field/pokemon.ts:3739

### moveQueue

moveQueue: QueuedMove [] = []

- Defined in src/field/pokemon.ts:3730

### moveset

moveset: PokemonMove []

- Defined in src/field/pokemon.ts:3742

### speciesForm

speciesForm: PokemonSpeciesForm

- Defined in src/field/pokemon.ts:3736

### stats

stats: number[]

- Defined in src/field/pokemon.ts:3741

### tags

tags: BattlerTag [] = []

- Defined in src/field/pokemon.ts:3733

### types

types: Type []

- Defined in src/field/pokemon.ts:3743